package com.ssj.bean.weixin.order.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 
 * 类名称：tb_lesson_service_sales<br>
 * 类描述：用户订单实体<br>
 * 2018年7月17日11:33:24
 *
 */
@Entity
@Table(name = "tb_lesson_service_sales")
public class LessonServiceSales  extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String libId;
	
	private String masterId;
	
	private String teacherId;
	
	private String teacherLever;
	
	private String teacherType;
	
	private String kmtCourseId;
	
	private String lessonServiceId;
	
	private BigDecimal price;
	
	private Date finishTime;
	
	private BigDecimal teacherSales;
	
	private BigDecimal firmSales;
	
	private BigDecimal libSales;
	
	private BigDecimal sdSales;
	
	private String teacherPayBusinessId;//tb_pay_business_to_user对应的id ,不为空是已统计打款，打款状态查询tb_pay_business_to_user表
	
	private String libPayBusinessId;//tb_pay_business_to_user对应的id ,不为空是已统计打款，打款状态查询tb_pay_business_to_user表
	
	private String sdPayBusinessId;//tb_pay_business_to_user对应的id ,不为空是已统计打款，打款状态查询tb_pay_business_to_user表
	
	private Date updateTime;
	
	private String remark;//用于记录异常信息，后期排查数据
	
	private Integer state;//状态，是否正常计算分成，1：正常，2：异常
	
	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getTeacherPayBusinessId() {
		return teacherPayBusinessId;
	}

	public void setTeacherPayBusinessId(String teacherPayBusinessId) {
		this.teacherPayBusinessId = teacherPayBusinessId;
	}

	public String getLibPayBusinessId() {
		return libPayBusinessId;
	}

	public void setLibPayBusinessId(String libPayBusinessId) {
		this.libPayBusinessId = libPayBusinessId;
	}

	public String getSdPayBusinessId() {
		return sdPayBusinessId;
	}

	public void setSdPayBusinessId(String sdPayBusinessId) {
		this.sdPayBusinessId = sdPayBusinessId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getMasterId() {
		return masterId;
	}

	public void setMasterId(String masterId) {
		this.masterId = masterId;
	}

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public String getTeacherLever() {
		return teacherLever;
	}

	public void setTeacherLever(String teacherLever) {
		this.teacherLever = teacherLever;
	}

	public String getTeacherType() {
		return teacherType;
	}

	public void setTeacherType(String teacherType) {
		this.teacherType = teacherType;
	}

	public String getKmtCourseId() {
		return kmtCourseId;
	}

	public void setKmtCourseId(String kmtCourseId) {
		this.kmtCourseId = kmtCourseId;
	}

	public String getLessonServiceId() {
		return lessonServiceId;
	}

	public void setLessonServiceId(String lessonServiceId) {
		this.lessonServiceId = lessonServiceId;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public Date getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Date finishTime) {
		this.finishTime = finishTime;
	}

	public BigDecimal getTeacherSales() {
		return teacherSales;
	}

	public void setTeacherSales(BigDecimal teacherSales) {
		this.teacherSales = teacherSales;
	}

	public BigDecimal getFirmSales() {
		return firmSales;
	}

	public void setFirmSales(BigDecimal firmSales) {
		this.firmSales = firmSales;
	}



	public BigDecimal getLibSales() {
		return libSales;
	}

	public void setLibSales(BigDecimal libSales) {
		this.libSales = libSales;
	}

	public BigDecimal getSdSales() {
		return sdSales;
	}

	public void setSdSales(BigDecimal sdSales) {
		this.sdSales = sdSales;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	

}
